Module jdk.jdi
Package com.sun.jdi.event

# Interface VMStartEvent

All Superinterfaces:
  `Event`, `Mirror`

public interface VMStartEvent extends Event
Notification of initialization of a target VM. This event is received before the main thread is started and before any application code has been executed. Before this event occurs a significant amount of system code has executed and a number of system classes have been loaded. This event is always generated by the target VM, even if not explicitly requested.

Since:
  1.3
See Also:
  - `VMDeathEvent`
  - `EventQueue`
  - `VirtualMachine`

## Method Summary

Modifier and Type
Method
Description
`ThreadReference`
`thread()`
Returns the initial thread of the VM which has started.

### Methods declared in interface com.sun.jdi.event.Event

`request`

### Methods declared in interface com.sun.jdi.Mirror

`toString, virtualMachine`

## Method Details

### thread

ThreadReference thread()
Returns the initial thread of the VM which has started.

Returns:
  a `ThreadReference` which mirrors the event's thread in the target VM.